%{?nodejs_find_provides_and_requires}

Name:       nodejs-which
Version:    1.3.1
Release:    %mkrel 3
Summary:    A JavaScript implementation of the 'which' command
License:    MIT
Group:      System/Libraries
URL:        https://github.com/isaacs/node-which
Source0:    https://registry.npmjs.org/which/-/which-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging
BuildRequires:  npm(is-absolute)
BuildRequires:  npm(isexe)

%description
%{summary}.

%prep
%setup -q -n package
%nodejs_fixdep is-absolute ^1.0.
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/which
cp -pr bin which.js package.json %{buildroot}%{nodejs_sitelib}/which

mkdir -p %{buildroot}%{_bindir}
ln -sf ../lib/node_modules/which/bin/which %{buildroot}%{_bindir}/which-nodejs

%nodejs_symlink_deps

%files
%{nodejs_sitelib}/which
%{_bindir}/which-nodejs
%doc README.md LICENSE



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.3.1-3.mga10
+ Revision: 2210762
- Mageia 10 Mass Rebuild

* Wed Mar 23 2022 umeabot <umeabot> 1.3.1-2.mga9
+ Revision: 1821862
- Mageia 9 Mass Rebuild

* Thu Aug 06 2020 joequant <joequant> 1.3.1-1.mga8
+ Revision: 1611401
- update to 1.3.1

* Tue May 05 2020 joequant <joequant> 1.3.0-7.mga8
+ Revision: 1580260
- redo deps
- redo deps

* Wed Feb 12 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1503316
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.3.0-4.mga7
+ Revision: 1281296
- Mageia 7 Mass Rebuild

* Thu May 03 2018 kekepower <kekepower> 1.3.0-3.mga7
+ Revision: 1225731
- Fix nodejs deps for is-absolute

* Thu May 03 2018 kekepower <kekepower> 1.3.0-2.mga7
+ Revision: 1225346
- Rebuild for new deps

* Mon Apr 30 2018 kekepower <kekepower> 1.3.0-1.mga7
+ Revision: 1223728
- Update to version 1.3.0

* Fri May 13 2016 joequant <joequant> 1.2.8-1.mga6
+ Revision: 1014776
- upgrade to 1.2.8

* Mon Feb 08 2016 umeabot <umeabot> 1.0.5-11.mga6
+ Revision: 950283
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 1.0.5-10.mga5
+ Revision: 793679
- imported package nodejs-which


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 1.0.5-10.mga5
- import from FC

* Fri May  3 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.5-7
- Fix broken symlink in bindir

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.5-6
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Jan 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.5-4
- fix symlink to executable
- actually install the executable!
- rename executable to which-nodejs

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.5-3
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.5-2
- Clean up for submission

* Sun Mar 04 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.5-1
- new upstream release 1.0.5

* Fri Feb 10 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-1
- new upstream release 1.0.3

* Sun Dec 18 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-2
- add Group to make EL5 happy

* Tue Oct 25 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-1
- new upstream release

* Tue Aug 23 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.0-1
- initial package
